org.fourthline.cling.support.model

## Enum RecordQualityMode

- java.lang.Object
- - java.lang.Enum<RecordQualityMode>
  - - org.fourthline.cling.support.model.RecordQualityMode

- All Implemented Interfaces:
    Serializable, Comparable<RecordQualityMode>

      public enum RecordQualityMode
      extends Enum<RecordQualityMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `EP`
    `HIGH`
    `LP`
    `MEDIUM`
    `NOT_IMPLEMENTED`
    `SP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static RecordQualityMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RecordQualityMode[]` | `valueOfCommaSeparatedList(String s)`
    `static RecordQualityMode` | `valueOrExceptionOf(String s)`
    `static RecordQualityMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EP

          public static final RecordQualityMode EP

    - #### LP

          public static final RecordQualityMode LP

    - #### SP

          public static final RecordQualityMode SP

    - #### BASIC

          public static final RecordQualityMode BASIC

    - #### MEDIUM

          public static final RecordQualityMode MEDIUM

    - #### HIGH

          public static final RecordQualityMode HIGH

    - #### NOT_IMPLEMENTED

          public static final RecordQualityMode NOT_IMPLEMENTED

  - ### Method Detail

    - #### values

          public static RecordQualityMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordQualityMode c : RecordQualityMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordQualityMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RecordQualityMode>`

    - #### valueOrExceptionOf

          public static RecordQualityMode valueOrExceptionOf(String s)
                                                      throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### valueOfCommaSeparatedList

          public static RecordQualityMode[] valueOfCommaSeparatedList(String s)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.